Subject: Re: bug#50951: Fwd: bug#50951: 28.0.50; Urdu text is not displayed correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Oct 2021 17:50:09 +0300

> From: Rah Guzar <[email-masked]>
> Date: Sat, 2 Oct 2021 16:19:01 +0200
> Cc: [email-masked]
> 
> I tried hb-view with NotoNastaliqUrdu and the text:
>  خوبی اپنی قسمت کی
> This is what I get
> urduhbtestnoto.png
> While in emacs I discovered how it is displayed depends a lot on the font size.
> 
> For the same text at size 16, I get 
> 
> emacsq16.png
>   
> At size 24 it looks almost correct 
> emacsq24.png
> At size 32 it is really bad again
> emacsq32.png
> And the issue seem to be glyph placement rather than shaping.
>  
> NotoNastaliqUrdu seems to be the only font with this issue. I am not sure if the problem is due to Nastaliq.

If you set bidi-display-reordering to a nil value, does the display
become better or worse?